plugins {
    id 'com.android.application'
}
android {
    compileSdkVersion rootProject.ext.compileSdkVersion
    buildToolsVersion rootProject.ext.build_tools_version

    defaultConfig {
        applicationId "com.wdkl.ncs.s433.transbox"
        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion
        versionCode rootProject.ext.versionCode
        versionName rootProject.ext.versionName

        ndk {
            //选择要添加的对应cpu类型的.so库。
            abiFilters 'armeabi-v7a', 'armeabi-v8a', 'armeabi-v8a'
        }
    }

    signingConfigs {
        release {
            storeFile file("keystore_wuyuqing_3128/rk3128.jks")
            storePassword "111111"
            keyAlias "rk3128"
            keyPassword "111111"
        }
        debug {
            storeFile file("keystore_wuyuqing_3128/rk3128.jks")
            storePassword "111111"
            keyAlias "rk3128"
            keyPassword "111111"
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    lintOptions{
        checkReleaseBuilds false
        abortOnError false
    }

    aaptOptions {
        noCompress "ttc", "mp3", "apk"  //表示不让aapt压缩的文件后缀
    }
}

dependencies {
    implementation 'androidx.appcompat:appcompat:1.3.0'
    implementation 'com.google.android.material:material:1.4.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    implementation 'androidx.preference:preference:1.1.1'
    androidTestImplementation 'androidx.test.ext:junit:1.1.3'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.4.0'
    implementation 'org.apache.commons:commons-text:1.6'

    /**
     * netty
     */
    implementation 'io.netty:netty-all:4.1.42.Final'

    implementation 'org.greenrobot:eventbus:3.0.0'

    implementation 'com.github.anrwatchdog:anrwatchdog:1.3.0'

    implementation project(':serialport')

    /**
     * json
     */
    implementation 'com.alibaba:fastjson:1.2.23'

    implementation files('libs/log4j-1.2.17.jar')

    //志合api
    implementation files('libs/smdt.jar')

}

